# 32/64bit spec-file
#
%define name eviacam
%define version 2.0.1
%define release %mkrel 1

Summary: A Cross-Platform Webcam Based Mouse Emulator
Summary(de): Ein plattformunabhängiger, Webcam-bsasierter Mausemulator
Name: %{name}
Version: %{version}
Release: %{release}
License: GPLv3
Group: Accessibility
URL: http://viacam.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: %{name}_%{version}.orig.tar.xz
BuildRequires:	desktop-file-utils 
BuildRequires:	%{_lib}wxgtku2.8-devel 
BuildRequires:	opencv
BuildRequires:	opencv-devel 
BuildRequires: 	%{_lib}xtst-devel
BuildRequires:	%{_lib}xext6
BuildRequires:	gtk+2-devel
BuildRequires: 	dos2unix
BuildRequires:	gettext-devel

%description
Enable Viacam (aka eViacam) is a mouse replacement software that moves
the pointer as you move your head. It works on standard PCs equipped 
with a web camera. No additional hardware is required. Based on the 
award winning Facial Mouse software.

%description -l de
Das eingeschaltete Viacam (aka eViacam) ist eine die Maus ersetzende
Software, die den Mauszeiger bewegt, wenn Sie ihren Kopf bewegen. Es 
funktioniert auf Standard-PC, die mit einer Webcam ausgestattet sind. 
Es ist keine Extrahardware notwendig. Das Programm basiert auf der 
preisgekrönten Facial Mouse Software.
%prep

%setup -q
#Clean up spurious-executable-perm and end-of-line-encoding
%__chmod 0644 COPYING AUTHORS ChangeLog COPYING README THANKS TODO
dos2unix COPYING AUTHORS ChangeLog COPYING README THANKS TODO

%build
./autogen.sh
%configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# Remove ast language file currently broken in the wxgtk stable branch
%__rm -rf %{buildroot}%{_datadir}/locale/ast

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Jun 22 2015 bb <bb> 2.0.1-1pclos2015
- update

* Sat Jul 26 2014 ghostbunny <ghostbunny at gmx dot de> 1.7.2-1pclos2014
- 1.7.2

* Fri May 31 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.7.0-1pclos2013
- 1.7.0
- commented patch
- image in pixmaps is now png insteaf of xpm

